=== debian/control ===
Source: ros-noetic-dwb-plugins
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-angles, ros-noetic-catkin, ros-noetic-dwb-local-planner, ros-noetic-dynamic-reconfigure, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-core2, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-rostest, ros-noetic-rosunit
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-dwb-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-angles, ros-noetic-dwb-local-planner, ros-noetic-dynamic-reconfigure, ros-noetic-nav-2d-msgs, ros-noetic-nav-2d-utils, ros-noetic-nav-core2, ros-noetic-pluginlib, ros-noetic-roscpp
Description: Standard implementations of the GoalChecker and TrajectoryGenerators for dwb_local_planner
